﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EditIgGridCheck.Models;
using Infragistics.Web.Mvc;

namespace EditIgGridCheck.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            //This object will serve as the basis for binding to data
            //on the Index.cshtml View with the MVC Helpers. See:
            //@model = EditIgGridCheck.Models.CustomersViewModel
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),

            };
         
            ViewData["comboDataSource"] = (new List<string> { "Skip", "Don't Skip" }).AsQueryable<string>();
            return View(viewModel);
        }

        public ActionResult UpdateRow()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),
            };
            GridModel m = new GridModel();
             List<Transaction<Customer>> transactions = m.LoadTransactions<Customer>(HttpContext.Request.Form["ig_transactions"]);

             foreach (Transaction<Customer> t in transactions)
             { 
             //get the changes
             }

            return View(viewModel);
        }


        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith", IsActive=true, OnError="Skip" },
                new Customer { ID=2, Name="Bob Richards", IsActive=false, OnError="Skip" },
                new Customer { ID=3, Name="Marge Wright", IsActive=false, OnError=" Don't Skip" },
                new Customer { ID=4, Name="Dwight Long", IsActive=true, OnError="Skip" },
                new Customer { ID=5, Name="Amy Grant", IsActive=true, OnError="Skip" },
            };
        }
    }
}